Module java.desktop
Package javax.swing.plaf.metal

# Class MetalSplitPaneUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.SplitPaneUI
javax.swing.plaf.basic.BasicSplitPaneUI
javax.swing.plaf.metal.MetalSplitPaneUI

public class MetalSplitPaneUI extends BasicSplitPaneUI
Metal split pane.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans has been added to the `java.beans` package. Please see `XMLEncoder`.

## Nested Class Summary

## Nested classes/interfaces declared in class javax.swing.plaf.basic.BasicSplitPaneUI

`BasicSplitPaneUI.BasicHorizontalLayoutManager, BasicSplitPaneUI.BasicVerticalLayoutManager, BasicSplitPaneUI.FocusHandler, BasicSplitPaneUI.KeyboardDownRightHandler, BasicSplitPaneUI.KeyboardEndHandler, BasicSplitPaneUI.KeyboardHomeHandler, BasicSplitPaneUI.KeyboardResizeToggleHandler, BasicSplitPaneUI.KeyboardUpLeftHandler, BasicSplitPaneUI.PropertyHandler`

## Field Summary

### Fields declared in class javax.swing.plaf.basic.BasicSplitPaneUI

`beginDragDividerLocation, divider, dividerResizeToggleKey, dividerSize, downKey, draggingHW, endKey, focusListener, homeKey, KEYBOARD_DIVIDER_MOVE_OFFSET, keyboardDownRightListener, keyboardEndListener, keyboardHomeListener, keyboardResizeToggleListener, keyboardUpLeftListener, layoutManager, leftKey, NON_CONTINUOUS_DIVIDER, nonContinuousLayoutDivider, propertyChangeListener, rightKey, splitPane, upKey`

## Constructor Summary

Constructors
Constructor
Description
`MetalSplitPaneUI()`
Constructs a `MetalSplitPaneUI`.

## Method Summary

Modifier and Type
Method
Description
`BasicSplitPaneDivider`
`createDefaultDivider()`
Creates the default divider.
`static ComponentUI`
`createUI​(JComponent x)`
Creates a new `MetalSplitPaneUI` instance

### Methods declared in class javax.swing.plaf.basic.BasicSplitPaneUI

`createDefaultNonContinuousLayoutDivider, createFocusListener, createKeyboardDownRightListener, createKeyboardEndListener, createKeyboardHomeListener, createKeyboardResizeToggleListener, createKeyboardUpLeftListener, createPropertyChangeListener, dragDividerTo, finishDraggingTo, finishedPaintingChildren, getDivider, getDividerBorderSize, getDividerLocation, getInsets, getLastDragLocation, getMaximumDividerLocation, getMaximumSize, getMinimumDividerLocation, getMinimumSize, getNonContinuousLayoutDivider, getOrientation, getPreferredSize, getSplitPane, installDefaults, installKeyboardActions, installListeners, installUI, isContinuousLayout, resetLayoutManager, resetToPreferredSizes, setContinuousLayout, setDividerLocation, setLastDragLocation, setNonContinuousLayoutDivider, setNonContinuousLayoutDivider, setOrientation, startDragging, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI`

### Methods declared in class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, paint, update`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MetalSplitPaneUI

public MetalSplitPaneUI()
Constructs a `MetalSplitPaneUI`.

## Method Details

### createUI

public static ComponentUI createUI​(JComponent x)
Creates a new `MetalSplitPaneUI` instance

Parameters:
  `x` - a component
Returns:
  a new `MetalSplitPaneUI` instance

### createDefaultDivider

public BasicSplitPaneDivider createDefaultDivider()
Creates the default divider.

Overrides:
  `createDefaultDivider` in class `BasicSplitPaneUI`
Returns:
  the default divider